com.pixelmed.dicom

## Class ContentItemFactory.CompositeContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

- All Implemented Interfaces:
    javax.swing.tree.TreeNode
  Direct Known Subclasses:
    ContentItemFactory.ImageContentItem, ContentItemFactory.WaveformContentItem
  Enclosing class:
    ContentItemFactory

      public class ContentItemFactory.CompositeContentItem
      extends ContentItemWithValue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `referencedSOPClassUID`
    `protected java.lang.String` | `referencedSOPInstanceUID`
    `protected AttributeList` | `referencedSOPSequenceItemAttributeList`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

      `conceptName, referencedContentItemIdentifier, valueType`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItem

      `relationshipType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CompositeContentItem(ContentItem parent, AttributeList list)`
    `` | `CompositeContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID)`
    `protected` | `CompositeContentItem(ContentItem parent, java.lang.String valueType, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doCommonConstructorStuff(java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID)`
    `java.lang.String` | `getConceptValue()` Get a string representation of the value of the concept.
    `java.lang.String` | `getReferencedSOPClassUID()` Get the Referenced SOP Class UID of this content item, if present and applicable.
    `java.lang.String` | `getReferencedSOPInstanceUID()` Get the Referenced SOP Instance UID of this content item, if present and applicable.
    `java.lang.String` | `toString()` Get a human-readable string representation of the content item.

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

      `contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItem

      `addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### referencedSOPSequenceItemAttributeList

          protected AttributeList referencedSOPSequenceItemAttributeList

    - #### referencedSOPClassUID

          protected java.lang.String referencedSOPClassUID

    - #### referencedSOPInstanceUID

          protected java.lang.String referencedSOPInstanceUID

  - ### Constructor Detail

    - #### CompositeContentItem

          public CompositeContentItem(ContentItem parent,
                                      AttributeList list)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item

    - #### CompositeContentItem

          public CompositeContentItem(ContentItem parent,
                                      java.lang.String relationshipType,
                                      CodedSequenceItem conceptName,
                                      java.lang.String referencedSOPClassUID,
                                      java.lang.String referencedSOPInstanceUID)
                               throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `referencedSOPClassUID` - the SOP Class UID
        `referencedSOPInstanceUID` - the SOP Instance UID
      Throws:
        `DicomException` - if error in DICOM encoding

    - #### CompositeContentItem

          protected CompositeContentItem(ContentItem parent,
                                         java.lang.String valueType,
                                         java.lang.String relationshipType,
                                         CodedSequenceItem conceptName,
                                         java.lang.String referencedSOPClassUID,
                                         java.lang.String referencedSOPInstanceUID)
                                  throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `valueType` - the value type
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `referencedSOPClassUID` - the SOP Class UID
        `referencedSOPInstanceUID` - the SOP Instance UID
      Throws:
        `DicomException` - if error in DICOM encoding

  - ### Method Detail

    - #### doCommonConstructorStuff

          protected void doCommonConstructorStuff(java.lang.String referencedSOPClassUID,
                                                  java.lang.String referencedSOPInstanceUID)
                                           throws DicomException

      Parameters:
        `referencedSOPClassUID` - the SOP Class UID
        `referencedSOPInstanceUID` - the SOP Instance UID
      Throws:
        `DicomException` - if error in DICOM encoding

    - #### getConceptValue

          public java.lang.String getConceptValue()

      Description copied from class: `ContentItemWithValue`

      Get a string representation of the value of the concept.

      The exact form of the returned string is specific to the type of ContentItem.

      Specified by:
        `getConceptValue` in class `ContentItemWithValue`
      Returns:
        a String representation of the name and value, or an empty string

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ContentItemWithValue`

      Get a human-readable string representation of the content item.

      Overrides:
        `toString` in class `ContentItemWithValue`
      Returns:
        the string representation of the content item

    - #### getReferencedSOPClassUID

          public java.lang.String getReferencedSOPClassUID()

      Description copied from class: `ContentItem`

      Get the Referenced SOP Class UID of this content item, if present and applicable.

      Overrides:
        `getReferencedSOPClassUID` in class `ContentItem`
      Returns:
        the SOP Class UID

    - #### getReferencedSOPInstanceUID

          public java.lang.String getReferencedSOPInstanceUID()

      Description copied from class: `ContentItem`

      Get the Referenced SOP Instance UID of this content item, if present and applicable.

      Overrides:
        `getReferencedSOPInstanceUID` in class `ContentItem`
      Returns:
        the SOP Instance UID